/*
Theme Name: Uncode Child
Description: Child theme for Uncode theme
Author: Undsgn™
Author URI: http://www.undsgn.com
Template: uncode
Version: 1.0.0
Text Domain: uncode
*/

.sections-container > .page-body.product {
    display: none;
}

span.sku_wrapper.detail-container {
    display: none;
}

#main-logo .navbar-brand img{
    max-width: 100%
}

.linear-system .linear-wrapper .linear-container .tmb .t-entry-visual .t-entry-visual-cont > a > img, .linear-system .linear-wrapper .linear-container .tmb .t-entry-visual .t-entry-visual-cont > a > .fluid-object{
    max-width: unset !important;
}

.wcc-notice-des a,
button.wcc-show-desc-btn:not(:hover):not(:active) {
    color: #7A6D66 !important;
}

.wcc-notice-des a:hover,
.wcc-preference-content-wrapper .wcc-show-desc-btn {
    color: #3e3733 !important;
}

body:not(.product_pierscionki) .only-for-rings{
    display: none;
}

.owl-carousel-upsell .owl-stage-outer {
    overflow: hidden;
}

.owl-carousel-upsell img {
    object-fit: cover !important;
}
.owl-carousel.owl-carousel-upsell .owl-item img {
    transform-style: preserve-3d;
    object-fit: cover;
}

.cwginstock-subscribe-form{

}

.cwginstock-subscribe-form .panel-primary{
    border: unset !important;
}

.cwginstock-subscribe-form .panel-primary>.panel-heading{
    background-color: unset !important;
    border: unset;
}

.cwginstock-panel-heading h4{
    color: #303133 !important;
}

.cwgstock_button{
    width: 100% !important;
    background: #f7f7f7 !important;
    color: #777 !important;
}

.cwginstock-subscribe-form .row{
    margin-left: 0 !important;
    margin-right: 0 !important;
}


.woocommerce-product-gallery__wrapper::-webkit-scrollbar {
    display: none;
}

.woocommerce-product-gallery-nav-wrapper {
    position: absolute !important;
    left: 25px;
    top: 25%;
    z-index: 99999;
}

.woocommerce-product-gallery.woocommerce-product-gallery--with-images.woocommerce-product-gallery--columns-3.woocommerce-layout-images-stack-lateral.images.woocommerce-product-gallery--zoom-disabled.woocommerce-product-gallery-lateral {
    width: 100%;
}

ul.woocommerce-product-gallery__wrapper-nav {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

ul.woocommerce-product-gallery__wrapper-nav li img {
    display: none;
}

ul.woocommerce-product-gallery__wrapper-nav li{
    position: relative;
    height: 16px;
    width: 10px !important;
    cursor: pointer;
}

ul.woocommerce-product-gallery__wrapper-nav li::after{
    content: '';
    position: absolute;
    top: 0;
    left: 1px;
    width: 8px;
    height: 8px;
    border-radius: 100%;
    background: rgba(8, 8, 8, .3);
}

ul.woocommerce-product-gallery__wrapper-nav li.is-selected::after{
    width: 10px;
    height: 10px;
    left: 0;
}

.main-container .row-container .single-bottom-margin{
    margin-bottom: 1px;
}

@media screen and (min-width: 960px){
    .woocommerce-product-gallery__wrapper{
        max-height: 100dvh;
        overflow: auto;
        -ms-overflow-style: none;  /* IE and Edge */
        scrollbar-width: none;  /* Firefox */
    }

}

@media screen and (max-width: 960px){
    .woocommerce-product-gallery__wrapper{
        overflow-x: scroll;
        overflow-y: hidden;
        white-space: nowrap;
    }
    .woocommerce-product-gallery__image {
        display: inline-block;
        max-height: calc(100dvh - 80px);
        object-fit: cover;
        margin-top: 80px;
        margin-bottom: 0 !important;
        margin-right: 1px;
    }
    div.product div.images img {
        display: block;
        width: 100%;
        height: calc(100dvh - 80px);
        object-fit: cover;
    }
    .uncode-single-product-gallery .woocommerce-product-gallery-nav-wrapper.lateral-nav-parent {
        display: block !important;
        transform: rotate(-90deg);
        bottom: 0;
        top: unset;
        left: 46%;
    }
    ul.woocommerce-product-gallery__wrapper-nav li {
        width: 25px !important;
    }
    ul.woocommerce-product-gallery__wrapper-nav li {
        position: relative;
        height: 29px;
        width: 10px !important;
        cursor: pointer;
    }
}

header .woocommerce-multi-currency.wmc-shortcode{
    position: relative;
    z-index: 100;
}

header .woo-multi-currency.wmc-shortcode .wmc-currency .wmc-nav{
    width: fit-content;
    margin-top: 0;
    cursor: pointer;
    color: #303133;
    line-height: 1em;
    font-family: Inter;
    font-size: 13px;
    font-weight: 600;
    letter-spacing: 0em;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    border-radius: 0;

}
header .woocommerce-multi-currency.wmc-shortcode .wmc-currency-wrapper{
    margin-right: 20px;
}

header .woocommerce-multi-currency.wmc-shortcode .wmc-currency-wrapper .wmc-current-currency{
    height: fit-content;
    padding: 15px 20px !important;
    margin-right: 10px;
    background-color: transparent !important;
    border: unset !important;
    font-size: 13px;
    font-weight: 600 !important;
}

header .woocommerce-multi-currency.wmc-shortcode .wmc-currency-wrapper .wmc-sub-currency{
    border: unset !important;
}

header .woocommerce-multi-currency.wmc-shortcode .wmc-currency-wrapper .wmc-sub-currency a{
    line-height: 1em;
    font-family: Inter;
    font-size: 13px;
    font-weight: 600;
    letter-spacing: 0em;
    color: #303133;
    text-decoration: none !important;
    border: unset !important;
    background-color: unset;
}

header .woocommerce-multi-currency.wmc-shortcode .wmc-currency-wrapper .wmc-sub-currency .wmc-currency{
    background-color: #fff;
}

header .woocommerce-multi-currency.wmc-shortcode .wmc-currency-wrapper .wmc-sub-currency .wmc-currency:hover{
    background-color: rgba(0, 0, 0, 0.03) !important;
}

header .woocommerce-multi-currency.wmc-shortcode .wmc-currency-wrapper .wmc-sub-currency .wmc-currency:hover a{
    color: rgba(48, 49, 51, .5) !important;
}


@media screen and (min-width: 960px) {
    /*header .menu-horizontal-inner:has(.woocommerce-multi-currency){*/
    /*    display: flex;*/
    /*    align-items: center;*/
    /*    justify-content: flex-end;*/
    /*}*/
    /*header .menu-horizontal-inner:has(.woocommerce-multi-currency) .navbar-extra-icons{*/
    /*    width: fit-content !important;*/
    /*}*/

    header .menu-horizontal-inner:has(.cl_switcher_button){
        display: flex;
        align-items: center;
        justify-content: flex-end;
    }


    header .menu-horizontal-inner:has(.cl_switcher_button) .navbar-extra-icons{
        width: fit-content !important;
    }
}

@media screen and (max-width: 959px) {
    header .woocommerce-multi-currency.wmc-shortcode .wmc-currency-wrapper{
        margin-right: 0px;
    }

    header .woocommerce-multi-currency.wmc-shortcode .wmc-currency-wrapper .wmc-current-currency{
        height: fit-content;
        padding: 20px 30px !important;
        margin-right: 10px;
        font-size: 25px;
    }

    header .woocommerce-multi-currency.wmc-shortcode .wmc-currency-wrapper .wmc-sub-currency a{
        font-size: 20px;
    }
}

.wmc-sidebar{
    display: none;
}

.cl_switcher_button{
    position: relative;
    z-index: 100;
    background: transparent;
    font-size: 13px;
    font-weight: 600 !important;
    color: #303133;
    display: inline-block;
    line-height: 1.2;
    padding: 0 15px;
}

.cl_switcher_button:hover{
    color: rgba(48, 49, 51, .5) !important;
}

.cl_switcher_box{
    position: fixed;
    top: 50%;
    left: 50%;
    z-index: 100;
    transform: translate(-50%, -50%);
    background-color: #fff;
    padding: 20px;
    box-sizing: border-box;
    display: flex;
    height: auto;
    width: 400px;
    justify-content: center;
    max-width: 90vw;
}

.cl_switcher_box select{
    border: 1px solid #000;
    margin: 0 0 10px;
    cursor: pointer;
}

.cl_switcher_box .cl_switcher_submit{
    width: 100%;
    background-color: #000;
    color: #fff;
    margin-top: 10px;
}

.cl_body_wrapper{
    display: none;
    position: fixed;
    width: 100vw;
    height: 100dvh;
    z-index: 10000;
    background-color: #00000099;
}

.cl_switcher_close{
    position: absolute;
    top: 5px;
    right: 5px;
    width: 25px;
    height: 25px;
    padding: 0;
    border: none;
    background: transparent;
    cursor: pointer;
}

@media screen and (max-width: 959px) {
    .cl_switcher_button{
        display: inline-block;
        line-height: 1.3;
        font-size: 5.5vw !important;
    }
}

.single-product .vc_custom_heading_wrap .woocommerce-Price-amount{
    display: inline !important;
}

.color-accent-color, body.textual-accent-color .post-content > div p:not(.entry-small):not(.panel-title):not(.t-entry-member-social) a:not(.btn), body.textual-accent-color .post-content > div ul:not(.menu-smart):not(.nav-tabs):not(.pagination) a:not(.btn), body.textual-accent-color .post-content > div dt a:not(.btn), body.textual-accent-color .post-content > div dd a:not(.btn), body.textual-accent-color .post-content > div dl a:not(.btn), body.textual-accent-color .post-content > div address a:not(.btn), body.textual-accent-color .post-content > div label a:not(.btn), body.textual-accent-color .post-content > div small a:not(.btn), body.textual-accent-color .row-container .post-content p:not(.entry-small):not(.panel-title):not(.t-entry-member-social) a:not(.btn), body.textual-accent-color .row-container .post-content ul:not(.menu-smart):not(.nav-tabs):not(.pagination) a:not(.btn), body.textual-accent-color .row-container .post-content dt a:not(.btn), body.textual-accent-color .row-container .post-content dd a:not(.btn), body.textual-accent-color .row-container .post-content dl a:not(.btn), body.textual-accent-color .row-container .post-content address a:not(.btn), body.textual-accent-color .row-container .post-content label a:not(.btn), body.textual-accent-color .row-container .post-content small a:not(.btn), .btn-hover-accent:hover, .btn-gradient-underline.btn-hover-accent:hover:before, .nav-tabs > li.active > a, .panel-title.active > a, .panel-title.active > a span:after, .plan-accent.plan .plan-title > h3, .plan-accent.plan .plan-price .price, .wpcf7 .wpcf7-mail-sent-ok, .wpcf7 .wpcf7-validation-errors, .wpcf7 span.wpcf7-not-valid-tip{
    color: white !important;
}
